## python-multipledispatch 0.6.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MultipleDispatch.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MultipleDispatch.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MultipleDispatch"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MultipleDispatch"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-multipledispatch (0.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Christian Kastner ]
  * Fix URL pattern in d/watch
  * Bump Standards-Version to 4.5.1 (no changes needed)
  * Mark python-multipledispatch-doc as Multi-Arch: foreign

 -- Christian Kastner <ckk@debian.org>  Mon, 07 Dec 2020 11:21:53 +0100

python-multipledispatch (0.6.0-1) unstable; urgency=medium

  * Initial release. Closes: #969766

 -- Christian Kastner <ckk@debian.org>  Wed, 16 Sep 2020 16:04:31 +0200

=== debian/control ===
Source: python-multipledispatch
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christian Kastner <ckk@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-doc <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/mrocklin/multipledispatch
Vcs-Git: https://salsa.debian.org/python-team/packages/python-multipledispatch.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-multipledispatch

Package: python3-multipledispatch
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: multiple dispatch in Python
 This implementation of multiple dispatch is efficient, mostly complete,
 performs static analysis to avoid conflicts, and provides optional namespace
 support. It looks good too.
 .
 What this does:
  * Dispatches on all non-keyword arguments
  * Supports inheritance
  * Supports instance methods
  * Supports union types, e.g. (int, float)
  * Supports builtin abstract classes, e.g. Iterator, Number, ...
  * Caches for fast repeated lookup
  * Identifies possible ambiguities at function definition time
  * Provides hints to resolve ambiguities when they occur
  * Supports namespaces with optional keyword arguments
  * Supports variadic dispatch
 .
 What this doesn't do:
  * Diagonal dispatch
  * Efficient update: The addition of a new signature requires a full resolve
    of the whole function. This becomes troublesome after you get to a few
    hundred type signatures.
 .
 This package contains the Python 3.x version of multipledispatch.

Package: python-multipledispatch-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python3-multipledispatch
Description: documentation for multipledispatch
 This implementation of multiple dispatch is efficient, mostly complete,
 performs static analysis to avoid conflicts, and provides optional namespace
 support. It looks good too.
 .
 What this does:
  * Dispatches on all non-keyword arguments
  * Supports inheritance
  * Supports instance methods
  * Supports union types, e.g. (int, float)
  * Supports builtin abstract classes, e.g. Iterator, Number, ...
  * Caches for fast repeated lookup
  * Identifies possible ambiguities at function definition time
  * Provides hints to resolve ambiguities when they occur
  * Supports namespaces with optional keyword arguments
  * Supports variadic dispatch
 .
 What this doesn't do:
  * Diagonal dispatch
  * Efficient update: The addition of a new signature requires a full resolve
    of the whole function. This becomes troublesome after you get to a few
    hundred type signatures.
 .
 This package contains the documentation for multipledispatch.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=multipledispatch
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy='127.0.0.1:9'
override_dh_auto_build: export https_proxy='127.0.0.1:9'
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

override_dh_installdocs:
	dh_installdocs --package=python-multipledispatch-doc --doc-main-package=python3-multipledispatch
	dh_installdocs --remaining-packages

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/build

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do echo "Testing with $py:"
 ; $py -m pytest
 ; done
Depends: python3-all, python3-pytest, python3-pytest-benchmark

=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/python-multipledispatch-$1\.tar\.gz/" \
  https://github.com/mrocklin/multipledispatch/releases .*/(\d\S*)\.tar\.gz

## python-multipledispatch 1.0.0

=== debian/changelog ===
python-multipledispatch (1.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * d/s/options: Ignore .egg-info in diffs (Closes: #1047479)

 -- Christian Kastner <ckk@debian.org>  Tue, 15 Aug 2023 19:35:36 +0200

python-multipledispatch (0.6.0-3) unstable; urgency=medium

  * Fix autopkgtest (missing dependency)
  * Fix d/watch
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility to 13

 -- Christian Kastner <ckk@debian.org>  Thu, 17 Feb 2022 22:00:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Christian Kastner <ckk@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-doc <!nodoc>,
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/mrocklin/multipledispatch
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-multipledispatch.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-multipledispatch

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do echo "Testing with $py:"
 ; $py -m pytest
 ; done
Depends: python3-all, python3-multipledispatch, python3-pytest, python3-pytest-benchmark

=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/(\d\S*)\.tar\.gz/python-multipledispatch-$1\.tar\.gz/" \
  https://github.com/mrocklin/multipledispatch/tags .*/(\d\S*)\.tar\.gz
